- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::ClusterLayout Struct Reference

the layout cluster ( 4001 zone) More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterLayout:

## Public Member Functions
| ClusterLayout ()
| constructor More...
virtual | ~ClusterLayout ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster ()
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
std::vector< MWAWVec2f > | m_zoneDimensions
| list of zone's dimensions More...
Link | m_pipelineLink
| link to a pipeline cluster list More...
Link | m_listItemLink
| link to a zone of fieldSize 8(unknown) More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_Script, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterB, C_ClusterC, C_Unknown }
| the cluster type More...

## Detailed Description

the layout cluster ( 4001 zone)

## Constructor & Destructor Documentation

RagTime5ClusterManager::ClusterLayout::ClusterLayout | ( |  | ) |
| inline

constructor

virtual RagTime5ClusterManager::ClusterLayout::~ClusterLayout | ( |  | ) |
| inline virtual

destructor

## Member Data Documentation

Link RagTime5ClusterManager::ClusterLayout::m_listItemLink

link to a zone of fieldSize 8(unknown)

Referenced by RagTime5Parser::readClusterLayoutData().

Link RagTime5ClusterManager::ClusterLayout::m_pipelineLink

link to a pipeline cluster list

Referenced by RagTime5Parser::readClusterLayoutData().

std::vector<MWAWVec2f> RagTime5ClusterManager::ClusterLayout::m_zoneDimensions

list of zone's dimensions

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx